molecule_A = ['ethene', '1-propene', '(E)-but-2-ene', '(Z)-but-2-ene', '2-methylprop-1-ene', '2-methylbut-2-ene', '2,3-dimethylbut-2-ene']
molecule_B = ['Br2']

all_molecules = molecule_A + molecule_B


def workflow(rn):
    for formula in all_molecules:
        workflowsingle(rn.with_subdirectory(formula), formula)

def workflowsingle(rn, formula):
    pubchem = rn.task('pubchem_search', formula=formula)

    calculator = {'mode': 'lcao', 'basis': 'dzp'}

    energies = {}
    for charge in [-1, 0, 1]:
        energies[charge] = rn.task(
            'energy', atoms=pubchem.output,
            calculator={'charge': charge, **calculator})

    
    #energies[1] - energies[0]
